package com.wdkl.ncs.android.middleware.logic.presenter.callingbed

import com.wdkl.ncs.android.lib.base.RxPresenter
import com.wdkl.ncs.android.middleware.di.MiddlewareDaggerComponent
import com.wdkl.ncs.android.middleware.logic.contract.callingbed.SupportFragmentContract
import javax.inject.Inject

class SupportFragmentPresenter @Inject constructor() : RxPresenter<SupportFragmentContract.View>(), SupportFragmentContract.Presenter {

    override fun bindDagger() {
        MiddlewareDaggerComponent.component.inject(this)
    }

}